aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorYaoguang Wang <sunshine.wang@huawei.com>2016-07-14 19:59:12 +0800
committerYaoguang Wang <sunshine.wang@huawei.com>2016-07-22 15:05:17 +0800
commit151e2655c678e3241ac08d049945a0f35083d3af (patch)
tree465a4567683363e5f51d9759748760ef340c55b7
parente6277570188829687b2ecf48adbd10bc3c9d46bd (diff)
StorPerf integration into Yardstick as a pulgin.
This task will install *StorPerf* on the Jump Host. StorPerf will run in docker container on the Jump Host. JIRA: YARDSTICK-303 Change-Id: Ia592522a169f021adecc7d89d70079980be69665 Signed-off-by: Yaoguang Wang <sunshine.wang@huawei.com>
-rw-r--r--plugin/storperf.yaml13
-rwxr-xr-xtests/ci/prepare_env.sh3
-rwxr-xr-xtests/ci/prepare_storperf_admin-rc.sh30
-rw-r--r--yardstick/resources/script/install/storperf.bash27
-rw-r--r--yardstick/resources/script/remove/storperf.bash20
5 files changed, 93 insertions, 0 deletions
diff --git a/plugin/storperf.yaml b/plugin/storperf.yaml
new file mode 100644
index 000000000..d08e26eb6
--- /dev/null
+++ b/plugin/storperf.yaml
@@ -0,0 +1,13 @@
+---
+# StorPerf plugin configration file
+# Used for integration StorPerf into Yardstick as a plugin
+
+schema: "yardstick:plugin:0.1"
+
+plugins:
+ name: storperf
+
+deployment:
+ ip: 192.168.23.2
+ user: root
+ password: root
diff --git a/tests/ci/prepare_env.sh b/tests/ci/prepare_env.sh
index ed832bc47..723a04aa1 100755
--- a/tests/ci/prepare_env.sh
+++ b/tests/ci/prepare_env.sh
@@ -52,3 +52,6 @@ fi
source $OPENRC
export EXTERNAL_NETWORK INSTALLER_TYPE DEPLOY_TYPE NODE_NAME
+
+# Prepare a admin-rc file for StorPerf integration
+$YARDSTICK_REPO_DIR/tests/ci/prepare_storperf_admin-rc.sh
diff --git a/tests/ci/prepare_storperf_admin-rc.sh b/tests/ci/prepare_storperf_admin-rc.sh
new file mode 100755
index 000000000..0401719ff
--- /dev/null
+++ b/tests/ci/prepare_storperf_admin-rc.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+AUTH_URL=${OS_AUTH_URL}
+USERNAME=${OS_USERNAME:-admin}
+PASSWORD=${OS_PASSWORD:-console}
+TENANT_NAME=${OS_TENANT_NAME:-admin}
+VOLUME_API_VERSION=${OS_VOLUME_API_VERSION:-2}
+PROJECT_NAME=${OS_PROJECT_NAME:-$TENANT_NAME}
+TENANT_ID=`keystone tenant-get admin|grep 'id'|awk -F '|' '{print $3}'|sed -e 's/^[[:space:]]*//'`
+
+
+rm -f ~/storperf_admin-rc
+touch ~/storperf_admin-rc
+
+echo "OS_AUTH_URL="$AUTH_URL >> ~/storperf_admin-rc
+echo "OS_USERNAME="$USERNAME >> ~/storperf_admin-rc
+echo "OS_PASSWORD="$PASSWORD >> ~/storperf_admin-rc
+echo "OS_TENANT_NAME="$TENANT_NAME >> ~/storperf_admin-rc
+echo "OS_VOLUME_API_VERSION="$VOLUME_API_VERSION >> ~/storperf_admin-rc
+echo "OS_PROJECT_NAME="$PROJECT_NAME >> ~/storperf_admin-rc
+echo "OS_TENANT_ID="$TENANT_ID >> ~/storperf_admin-rc
diff --git a/yardstick/resources/script/install/storperf.bash b/yardstick/resources/script/install/storperf.bash
new file mode 100644
index 000000000..9bbec7206
--- /dev/null
+++ b/yardstick/resources/script/install/storperf.bash
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# StorPerf plugin installation script
+# After installation, it will run StorPerf container on Jump Host
+# Requirements:
+# 1. docker has been installed on the Jump Host
+# 2. Openstack environment file for storperf, '~/storperf_admin-rc', is ready.
+
+set -e
+
+mkdir -p /tmp/storperf-yardstick
+
+docker pull opnfv/storperf
+docker run -t \
+--env-file ~/storperf_admin-rc \
+-p 5000:5000 -p 8000:8000 \
+-v /tmp/storperf-yardstick/carbon:/opt/graphite/storage/whisper \
+--name storperf-yardstick opnfv/storperf &
diff --git a/yardstick/resources/script/remove/storperf.bash b/yardstick/resources/script/remove/storperf.bash
new file mode 100644
index 000000000..a8eb51c89
--- /dev/null
+++ b/yardstick/resources/script/remove/storperf.bash
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# StorPerf plugin un-installation script
+
+set -e
+
+docker stop storperf-yardstick
+docker rm -f storperf-yardstick
+docker rmi opnfv/storperf
+
+rm -rf /tmp/storperf-yardstick